Subject: Re: bug#60026: Failed to compute derivation bug

From: Joseph Turner <[email-masked]>
Date: Tue, 13 Dec 2022 10:20:09 -0800

Hello Josselin,

This occurred on a guix installation on a foreign distro, yes. On a VPS I rent, which I recently upgraded to Debian 11. Guix was installed using `apt install guix`.

Thank you!

Joseph

On December 13, 2022 2:19:06 AM PST, Josselin Poiret <[email-masked]> wrote:
>Hi,
>
>Joseph Turner via Bug reports for GNU Guix <[email-masked]> writes:
>
>> Building from this channel:
>>   guix      https://git.savannah.gnu.org/git/guix.git   e84042f
>> Computing Guix derivation for 'x86_64-linux'... |guix pull: error: You found a bug: the program '/gnu/store/2xp4c2dsiyjpfa
>> uix-derivation'
>> failed to compute the derivation for Guix (version: "e84042fdd4ac2f903224e1b5f366537a22b4d593"; system: "x86_64-linux";
>> host version: "1.2.0"; pull-version: 1).
>
>Your host Guix version seems extremely old (1.2.0).  I assume you're
>running on a foreign distro?  How did you install Guix, and how does the
>daemon run?
>
>Best,
>-- 
>Josselin Poiret